
###########################################################################
# Copyright (c) 1998, Jeffrey Glen Rennie
# All rights reserved.
###########################################################################

namespace eval messageBox {
}

proc messageBox::DoMessageBox { title message callback args} {
    if [llength $args] {
	set style [lindex $args 0]
	set icon warning
    } else {
	set style "Ok"
	set icon info
    }
    regsub -all "\n" $message {} message
    set style [string tolower $style]
    set result [tk_messageBox -title $title -message $message -type $style -icon $icon]
    if { $result == "ok" } {
	set result {}
    }
    eval $callback $result
}


###########################################################################
# Copyright (c) 1998, Jeffrey Glen Rennie
# All rights reserved.
###########################################################################
